#2741 closed defect (fixed)

New warning from printf plugin changes

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: bsps Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

../../../../../../../rtems/c/src/lib/libcpu/powerpc/mpc6xx/mmu/pte121.c: In function 'whatPrintf':
../../../../../../../rtems/c/src/lib/libcpu/powerpc/mpc6xx/mmu/pte121.c:189:46: warning: pointer type mismatch in conditional expression

return _Thread_Executing ? (PrintF) printf : printk;


Change History (4)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on Jun 8, 2017 at 8:38:22 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on Oct 10, 2017 at 6:33:12 AM by Sebastian Huber

Component: libcpubsps

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.